tbladd(1M)

NAME
tbladd - adds an entry to an administrative table

SYNOPSIS

tbladd [-n NIS+|NIS|NONE] [-d domain | -h host]
table_name [field_name=value]

DESCRIPTION
The Solstice tbladd command adds a new entry to the administrative tables. With no field_name arguments, tbladd reads field_name/value pairs from standard input.

OPTIONS

-n NIS+|NIS|NONE
    The name service containing the table. The default is NONE, which specifies local files.

-d domain
    The name service domain in which the table resides. Not used if name service is NONE. The default is the current domain.

-h host
    The host where the table file resides. Not used if name service is NIS+ or NIS. The default is the current host.

table_name
    The name of the table being added to. The table name should be one of the names returned by tblls(1M).

field_name=value
    Assigns value to the field with name field_name in the entry being added to the table. field_name should be one of the field names returned by tblls(1M).

ENVIRONMENT

See environ(5) for descriptions of the following
    environment variables that affect the execution of tbladd: LANG, LC_ALL, LC_CTYPE, and LC_MESSAGES.

ERRORS

The tbladd command exits with one of the following values:

0   Success.

1   Invalid command syntax. A usage message for the tbladd command is displayed.

2   An error occurred while executing the command. An exception code and error message are displayed.

FILES
/etc/passwd
/etc/locale
/etc/ethers
/etc/bootparams
/etc/group
/etc/auto_home
/etc/Policy_defaults
/etc/netgroup
/etc/rpc
/etc/timezone
/etc/inet/hosts
/etc/inet/netmasks
/etc/inet/networks
/etc/inet/services
/etc/inet/protocols
/etc/mail/aliases

SEE ALSO
tbldel(1M), tblls(1M), tblmod(1M)